#include <tclcl.h>
#include <tk.h>
#include "mash-init.h"

/* Declaration of Dali init routines. */
extern "C" {
extern int Tcldvmbasic_Init(Tcl_Interp *interp);
extern int Tcldvmpnm_Init(Tcl_Interp *interp);
extern int Tcldvmmpeg_Init(Tcl_Interp *interp);
extern int Tcldvmgif_Init(Tcl_Interp *interp);
extern int Tcldvmamap_Init(Tcl_Interp *interp);
extern int Tcldvmimap_Init(Tcl_Interp *interp);
extern int Tcldvmbytegeom_Init(Tcl_Interp *interp);
extern int Tcldvmwave_Init(Tcl_Interp *interp);
extern int Tcldvmvision_Init(Tcl_Interp *interp);
extern int Tcldvmkernel_Init(Tcl_Interp *interp);
extern int Tcldvmkpatel_Init(Tcl_Interp *interp);
extern int Tcldvmjpeg_Init(Tcl_Interp *interp);
}

int
Psvp_Init(Tcl_Interp *interp)
{
  /* Dali Init routines. */
  
  if (Tcldvmbasic_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmbasic_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmpnm_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmpnm_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmmpeg_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmmpeg_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmjpeg_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmjpeg_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmamap_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmamap_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmimap_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmimap_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmgif_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmgif_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmbytegeom_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmbytegeom_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmkernel_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmkernel_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmkpatel_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmkpatel_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmvision_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmvision_Init failed!");
    return TCL_ERROR;
  }
  if (Tcldvmwave_Init (interp) == TCL_ERROR) {
    WIN32_OutputErr(interp, "Tcldvmwave_Init failed!");
    return TCL_ERROR;
  }
  
  return TCL_OK;
}
