import DaliSubprogram

Class DCTTest -superclass DaliSubprogram

DCTTest instproc init {args} {
    eval $self next $args;

    $self instvar input_id_list_;
    $self instvar input_info_;

    lappend input_id_list_ i1;

    set input_info_(i1,spec) ""
    set input_info_(i1,trigger) 0;
    set input_info_(i1,buffertype) Uncompressed;
    set input_info_(i1,buffername) [new VidRep/Uncompressed];
    set input_info_(i1,decoder) "";

    $self instvar output_id_list_;
    $self instvar output_info_;
    
    lappend output_id_list_ o1;
    
    set output_info_(o1,spec) "";
    set output_info_(o1,buffertype) Semicompressed;
    set output_info_(o1,buffername) [new VidRep/Semicompressed];
    set output_info_(o1,encoder) "";
    set output_info_(o1,format) JPEG;
    set output_info_(o1,vagent) "";
}

DCTTest instproc trigger {} {
    $self instvar init_done_;
    $self instvar input_info_;
    $self instvar output_info_;

    set in_frame $input_info_(i1,buffername);
    set out_frame $output_info_(o1,buffername);

    if {![info exists init_done_]} {
	if {[$in_frame set w_] == 0} {
	    return;
	}

	$out_frame copy_geometry $in_frame;
	$out_frame allocate;
	set init_done_ 1;
    }

    byte_to_sc [$in_frame get_lum_name] [$out_frame get_lum_name] 0;
    byte_to_sc [$in_frame get_cr_name] [$out_frame get_cr_name] 1;
    byte_to_sc [$in_frame get_cb_name] [$out_frame get_cb_name] 1;

    $out_frame set ts_ [$in_frame set ts_];

    set encoder $output_info_(o1,encoder);
    
    if {$encoder != ""} {
	$encoder recv $out_frame;
    }
    
    $self send_completion_token;
}

