#include "session-srm.h"
#include "source-srm.h"

extern "C" {
#include "srm-api.h"
}

srm_session_t *srm_init()
{
	return session_srm_t new SRM_Session;
	
}
/*
 * 16B SRM source ID returned
 */
void *srm_source(void *session, char *sname)
{
	int created;
	SRM_Source *ssrc = new SRM_Source(sname);
	((SRM_Session *)session)->source(ssrc);
	return (void *)ssrc;
}

unsigned int srm_calloc(void *src, unsigned int parent)
{
	int created;
	return ((SRM_Source *)src)->calloc(parent, &created);
}



