import DaliSubprogram

Class Jpeg2Sc2Jpeg -superclass DaliSubprogram

Jpeg2Sc2Jpeg instproc init {args} {
    eval $self next $args;

    $self instvar input_id_list_;
    $self instvar input_info_;

    lappend input_id_list_ i1;

    set input_info_(i1,spec) ""
    set input_info_(i1,trigger) 0;
    set input_info_(i1,buffertype) Semicompressed;
    set input_info_(i1,buffername) [new VidRep/Semicompressed];
    set input_info_(i1,decoder) "";

    $self instvar output_id_list_;
    $self instvar output_info_;
    
    lappend output_id_list_ o1;
    
    set output_info_(o1,spec) "";
    set output_info_(o1,buffertype) Semicompressed;
    set output_info_(o1,buffername) [new VidRep/Semicompressed];
    set output_info_(o1,encoder) "";
    set output_info_(o1,format) JPEG;
    set output_info_(o1,vagent) "";

}

Jpeg2Sc2Jpeg instproc trigger {} {
    $self instvar init_done_;
    $self instvar input_info_;
    $self instvar output_info_;

    set in_frame $input_info_(i1,buffername);

    if {![info exists init_done_]} {
	if {[$in_frame set w_] == 0} {
	    return;
	}
	set init_done_ 1;
    }

    set encoder $output_info_(o1,encoder);

    if {$encoder != ""} {
	$encoder recv $in_frame;
    }
    
    $self send_completion_token;
}

